commit 177dfb6167745039ec86cf860be3aa28930a4436
Author: Thomas Schwinge <thomas@codesourcery.com>
Date:   Tue Aug 17 08:45:18 2021

    Restore 'gcc.dg/pr78213.c' testing
    
    ... after it had gotten disabled in r243681 (Git
    commit ecfc21ff34ddc6f8aa517251fb51494c68ff741f)
    "Introduce selftest::locate_file".
    
            gcc/testsuite/
            * gcc.dg/pr78213.c: Restore testing.
    
    (cherry picked from commit a42467bdb70650cd2f421e67b6c3418f74feaec2)

diff --git a/gcc/testsuite/gcc.dg/pr78213.c b/gcc/testsuite/gcc.dg/pr78213.c
index ebc2cce78f4..40dd3c82b60 100644
--- a/gcc/testsuite/gcc.dg/pr78213.c
+++ b/gcc/testsuite/gcc.dg/pr78213.c
@@ -1,12 +1,5 @@
 /* { dg-do compile } */
-/* { dg-options "-fself-test" } */
-
-/* When this test was written -fself-test took no argument, but it
-   has subsequently gained a mandatory argument, giving the path
-   to selftest support files (within the srcdir).
-   It's not clear how to provide this path sanely from
-   within DejaGnu, so for now, this test is disabled.  */
-/* { dg-skip-if "" { *-*-* } } */
+/* { dg-options "-fself-test=$srcdir/selftests" } */
 
 /* Verify that -fself-test does not fail on a non empty source.  */
 

